package require stooop
namespace import stooop::*

namespace eval ::Aldec::NCsimConverter {

	#it can have one or more Token
	#from 'asim -l {ala ma kota}' you will have Arguments:
	#'asim' '-l' '{ala ma kota}'
	class Argument {
	
		proc Argument { this _tokens _str _firstIdx _lastIdx } {
			set ($this,m_string) $_str
			set ($this,m_firstIdx) $_firstIdx
			set ($this,m_lastIdx) $_lastIdx
			set ($this,m_converted) 0
			set ($this,m_tokens) $_tokens
		}
		
		proc ~Argument { this } {		
		}
		
		#get indexes for tokens from which Argument is created
		proc getTokensIdx { this _firstIdx _lastIdx } {
			upvar $_firstIdx firstIdx
			upvar $_lastIdx lastIdx
			set firstIdx $($this,m_firstIdx)			
			set lastIdx $($this,m_lastIdx)
		}
		
		proc getString { this } {
			return $($this,m_string)
		}
		
		proc setString { this _str } {
			set firstToken 1
			for { set i $($this,m_firstIdx) } { $i <= $($this,m_lastIdx) } { incr i } {
				set token [::Aldec::NCsimConverter::Tokens::getToken $($this,m_tokens) $i]
				if { $firstToken } {				
					::Aldec::NCsimConverter::Token::setString $token $_str
					set firstToken 0
				} else {
					::Aldec::NCsimConverter::Token::setString $token ""
				}
			}
			setConverted $this
		}
		
		proc setConverted { this } {
			for { set i $($this,m_firstIdx) } { $i <= $($this,m_lastIdx) } { incr i } {
				set token [::Aldec::NCsimConverter::Tokens::getToken $($this,m_tokens) $i]
				::Aldec::NCsimConverter::Token::setConverted $token
			}
			set ($this,m_converted) 1			
		}
		
		proc isConverted { this } {
			return $($this,m_converted)		
		}
	}
}
