namespace eval ::Aldec::NCsimConverter::Analyzers {

	proc ncsim { _tokens } {
		set args [new ::Aldec::NCsimConverter::Arguments $_tokens]
		::Aldec::NCsimConverter::Arguments::replaceCommandName $args "vsim"
		
		set additionalCmd ""
		
		#read value of -input switch, and add this value as separated command a the end
		set idx [::Aldec::NCsimConverter::Arguments::findSwitchIdx $args "-input"]
		if { $idx != -1 } {
			incr idx ;#go to value
			set arg [::Aldec::NCsimConverter::Arguments::getArgByIdx $args $idx]
			append additionalCmd " ; do [::Aldec::NCsimConverter::Argument::getString $arg]"
		}
		#

		while { [::Aldec::NCsimConverter::Arguments::nextArgument $args arg] } {
		
			# switches which has replacement in Riviera-Pro
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-input <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-debugDB=<string%0>" "-advdataflow"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-debugDB=" "-advdataflow"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-Lf <string%0>" "-L <string%0>"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+sdf_verbose" "+verbose_sdf_annotation"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-wlf <string%0>" "-dataset <string%0>"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+no_neg_tchk" "+noneg_tchk"

			# not supported switches removed from command line
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-0in" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-0in_options <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-assertdebug" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-assertfile <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-assume" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-autoexclusions=<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-capacity" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-colormap new" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-compress_elab" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-coverCountNone" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-display <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-displaymsgmode <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-dpioutoftheblue <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+dumpports+<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-elab <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-elab_cont <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-elab_defer_fli" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-errorfile <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-filemap_elab <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-fsmdebug" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-gblso <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-geometry <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-i" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-installcolormap" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-keeploaded" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-keeploadedrestart" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-keepstdout" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-learn <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-lic_<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-load_elab <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-memprof<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-memprof" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-msgmode <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-multisource_delay <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+multisource_int_delays" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-name <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-noassume" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-no_autoacc" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-noautoldlibpath" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nocapacity" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nocompress" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nopsl" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nosva" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-novopt" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-pa" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-plicompatdefault <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-printsimstats" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-psl" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-quiet" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-restore <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+sdf_iopath_to_prim_ok" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sdfmin<regexp%0%\[@\].+> <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sdfmax<regexp%0%\[@\].+> <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sdftyp<regexp%0%\[@\].+> <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sdfmin<regexp%0%\[@\]> <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sdfmax<regexp%0%\[@\]> <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sdftyp<regexp%0%\[@\]> <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sva" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sync" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-tab <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-tag <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-title <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-togglecountlimit" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-togglewidthlimit" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-trace_foreign <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-vcdstim <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-view <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-viewcov <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-visual <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+vlog_retain_on" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-vopt" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-voptargs=<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-vopt_verbose" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nocollapse" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nofileshare" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-std_input <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-std_output <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-strictvital" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-toggleMaxIntValues <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-toggleNoIntegers" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-vcdread <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-vital2.2b" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+alt_path_delays" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-cvg63" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+delayed_timing_checks" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-dpiexportobj <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-hazards" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+initmem+<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+initreg+<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+no_autdtc" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+no_cancelled_e_msg" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nocvg63" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-no_risefall_delaynets" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nodpiexports" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-noexcludehiz" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+nospecify" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+nowarn<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-onfinish <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-solvefaildebug" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-solveflags=<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-solverev <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sv_liblist <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sv_root <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sv_seed <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-togglenosubs" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-togglenovlogints" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-togglevlogints" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-scdpidebug" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sclib <string%0>" ""

			# wlf options are not supported in Riviera-Pro, those which have arguments must be specified alone
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-wlfcachesize <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-wlfsimcachesize <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-wlfslim <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-wlftlim <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-wlf<string%0>" ""

			# below switches can have multiple argument lists all separated with comma, ie.: -error 3001,3002,3005
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-error <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-fatal <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-note <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-suppress <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-warning <string%0>" ""

		}
		
		::Aldec::NCsimConverter::Arguments::appendCommands $args $additionalCmd
		
		delete $args

	}
}
