namespace eval ::Aldec::NCsimConverter::Analyzers {

	proc ncvlog { _tokens } { 
		set args [new ::Aldec::NCsimConverter::Arguments $_tokens]

		set asimSwitches 0

		::Aldec::NCsimConverter::Arguments::replaceCommandName $args "vlog"

		while { [::Aldec::NCsimConverter::Arguments::nextArgument $args arg] } {
			set switchName [::Aldec::NCsimConverter::Argument::getString $arg]

			if { $asimSwitches } {
			    ::Aldec::NCsimConverter::Argument::setString $arg ""
			    continue
			}

			# modified switches in Riviera-Pro	
			
			
			
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+acc" "-dbg"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+acc=<regexp%0%^\[br\]$>" "+acc<regexp%0>"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+acc<string%0> ." ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+acc<string%0>" ""

			# switches which has replacement in Riviera-Pro
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-file" "-f"
			
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-force_refresh" "-refresh"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-L <string%0>" "-l <string%0>"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-Lf <string%0>" "-l <string%0>"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nodebug=<string%0>" "-protect 2"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nodebug" "-protect 2"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nopsl" "-na"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-O4" "-O2"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-O5" "-O3"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-pslfile <string%0>" "-psl <string%0>"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-vlog01compat" "-v2k"
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-vlog95compat" "-v95"

			# not supported switches with optional arguments
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-compile_uselibs<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-compile_uselibs" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+floatparameters<string%0> ." ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+floatparameters<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+floatparameters" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+initmem<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+initmem" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+initreg<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+initreg" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-mixedsvvh <regexp%0%^\[bsv\]$>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-mixedsvvh" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+nosparse<string%0> ." ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+nosparse<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+nosparse" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+protect<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+protect" ""
			
			# not supported switches removed from command line
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-64bit" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-ams" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-append_log" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-CDS_IMPLICIT_TMP" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-NEVERWARN" ""
			
			
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-0in" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-0in_options <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-93" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-compat" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-convertallparams" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-cover <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-coveragenoshort" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-coverGenerate" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-covercells" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-coverExcludeDefault" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-cuname" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-dpiheader <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-E <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-Epretty <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-fsmdebug" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-fsmnoresettrans" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-fsmxassign" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-hazards" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-isymfile" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+libcell" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-libmap <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-libmap_verbose" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+librescan" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-line <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-lint" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-lowercasepragma" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+maxdelays" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+mindelays" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-maxfecrows" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-maxudprows" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-mixedansiports" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-mfcu" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-mti_trace_vlog_calls" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nocovercells" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nocoverGenerate" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nodbgsym" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nofec" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-noincr" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+nolibcell" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nologo" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-novopt" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+nowarn<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-nowarn <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+num_opt_cell_conds+<string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+num_opt_cell_conds" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-pedanticerrors" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-pslext" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-scdpiheader <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sfcu" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-source" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-s" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-sv" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-time" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-togglecountlimit" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-togglewidthlimit" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "+typdelays" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-vopt" ""

			# below switches can have multiple argument lists all separated with comma, ie.: -error 3001,3002,3005
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-error <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-fatal <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-note <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-suppress <string%0>" ""
			::Aldec::NCsimConverter::Replacers::replaceSwitch $args "-warning <string%0>" ""

		}

		delete $args
	}
}
